## kdenetwork 4.4.5-0ubuntu1.1+4.1trisquel2

=== kopete/protocols/CMakeLists.txt ===
# On Solaris, some of the name resolution functions are in libnsl;
# this needs to be linked in if found. Copied from kdelibs.
check_library_exists(nsl gethostbyname "" HAVE_NSL_LIBRARY)

option(WITH_testbed "Enable Kopete testbed protocol" ON)
option(WITH_oscar "Enable Kopete Oscar (ICQ and AIM) protocol" ON)
option(WITH_yahoo "Enable Kopete Yahoo protocol" ON)
option(WITH_qq "Enable Kopete QQ protocol" ON)
option(WITH_sms "Enable Kopete SMS protocol" ON)
option(WITH_groupwise "Enable Novell GroupWise Messenger protocol" ON)
option(WITH_winpopup "Enable Kopete winpopup protocol" ON)
option(WITH_gadu "Enable Kopete Gadu-Gadu protocol" ON)
option(WITH_jabber "Enable Kopete Jabber protocol" ON)
option(WITH_GOOGLETALK "Enable Kopete Jabber Google Talk support" ON)
option(WITH_bonjour "Enable Kopete Bonjour protocol" ON)
option(WITH_irc "Enable Kopete IRC protocol" OFF)
option(WITH_wlm "Enable Window Live Messenger support" ON)
option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
option(WITH_skype "Enable Kopete Skype protocol" OFF)

if(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
  message(STATUS "Building jingle support")
  set(BUILD_JINGLE TRUE)
else(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
  message(STATUS "Not building jingle support (recommanded)")
  set(BUILD_JINGLE FALSE)
endif(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)

# TODO: remove LIBORTP_FOUND and MEDIASTREAMER_FOUND if google libjingle filetransfer will be supported
if(SSL_FOUND OR WIN32)
  if(EXPAT_FOUND AND LIBORTP_FOUND AND MEDIASTREAMER_FOUND AND WITH_GOOGLETALK)
    message(STATUS "Building Google Talk libjingle support")
    set(BUILD_GOOGLETALK TRUE)
  else(EXPAT_FOUND AND LIBORTP_FOUND AND MEDIASTREAMER_FOUND AND WITH_GOOGLETALK)
    message(STATUS "Not building Google Talk libjingle support")
    set(BUILD_GOOGLETALK FALSE)
  endif(EXPAT_FOUND AND LIBORTP_FOUND AND MEDIASTREAMER_FOUND AND WITH_GOOGLETALK)
else(SSL_FOUND OR WIN32)
  message(STATUS "Not building Google Talk libjingle support")
  set(BUILD_GOOGLETALK FALSE)
endif(SSL_FOUND OR WIN32)

include_directories(${KOPETE_INCLUDES})

if(WITH_wlm AND LIBMSN_FOUND)
  add_subdirectory( wlm )
endif(WITH_wlm AND LIBMSN_FOUND)

if(WITH_oscar)
  add_subdirectory( oscar )
endif(WITH_oscar)
if(WITH_yahoo)
  add_subdirectory( yahoo ) 
endif(WITH_yahoo)
if(WITH_qq)
  add_subdirectory( qq )
endif(WITH_qq)
if(WITH_irc)
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: Building the irc plugin, even if  it hasn't been completely ported yet")
  add_subdirectory( irc )
endif(WITH_irc)
if(NOT WIN32)
  if(WITH_winpopup)
    add_subdirectory( winpopup )
  endif(WITH_winpopup)
  if(WITH_gadu AND LIBGADU_FOUND)
    add_subdirectory( gadu )
  endif(WITH_gadu AND LIBGADU_FOUND)
  if(WITH_sms)
    add_subdirectory( sms )
  endif(WITH_sms)
  if(NOT APPLE AND WITH_skype)
    add_subdirectory( skype )
  endif(NOT APPLE AND WITH_skype)
endif(NOT WIN32)

if(QCA2_FOUND)
  if(IDN_FOUND)
    if(WITH_jabber)
      add_subdirectory( jabber )
    endif(WITH_jabber)
  else(IDN_FOUND)
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Jabber because libidn-devel was not found")
  endif(IDN_FOUND)
  if(WITH_groupwise)
    add_subdirectory( groupwise )
  endif(WITH_groupwise)
else(QCA2_FOUND)
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled GroupWise and Jabber because QCA2 was not found")
endif(QCA2_FOUND)

if(WITH_testbed)
  add_subdirectory( testbed )
endif(WITH_testbed)

if(WITH_bonjour)
  add_subdirectory( bonjour )
endif(WITH_bonjour)

if(WITH_meanwhile)
  if(LIBMEANWHILE_FOUND)
    add_subdirectory( meanwhile )
  else(LIBMEANWHILE_FOUND)
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Meanwhile beause libmeanwhile was not found")
  endif(LIBMEANWHILE_FOUND)
endif(WITH_meanwhile)

=== debian/changelog ===
kdenetwork (4:4.4.5-0ubuntu1.1+4.1trisquel2) taranis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Aug 2011 16:58:40 +0000

kdenetwork (4:4.4.5-0ubuntu1.1) lucid-security; urgency=low

  * SECURITY UPDATE: file name directory traversal attack (LP: #757526)
    - Add debian/patches/kubuntu_06_kget_metalinker.diff: check if the
      filename is well formed, without traversal opportunities
    - CVE-2011-XXXX (an incomplete fix for CVE-2010-1000)

 -- Romain Perier <romain.perier@gmail.com>  Wed, 13 Apr 2011 20:03:50 +0200

kdenetwork (4:4.4.5-0ubuntu1) lucid-proposed; urgency=low

  * Upload to lucid-proposed for 10.04.2 (LP: #691068)
    - Verified existing security upload is incorporated upstream
    - Added debian/patches/kubuntu_05_fix_icq.diff from existing pending SRU

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 Dec 2010 09:44:27 -0500

kdenetwork (4:4.4.5-0ubuntu1~lucid1~ppa1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.5

 -- Andreas Wenning <awen@awen.dk>  Sat, 26 Jun 2010 11:02:19 +0200

kdenetwork (4:4.4.4-0ubuntu1~lucid1~ppa1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Bump package standards version
    - Removed superfluous patch kubuntu_01_kget_CVE-2010-1000.diff
      - patch has been supplied in original

 -- Ralph Janke <txwikinger@ubuntu.com>  Mon, 31 May 2010 22:17:51 -0400

kdenetwork (4:4.4.3-0ubuntu1~ppa2) lucid; urgency=low

  * SECURITY UPDATE: file name directory traversal attack (LP: #578856).
   - Add debian/patches/kubuntu_01_kget_CVE-2010-1000.diff
   - kget/ui/metalinkcreator/metalinker.cpp check filename is valid
   - kget/transfer-plugins/metalink/metalink.cpp if the dialog was not accepted untick every file, so that the download does not start
   - CVE-2010-1000, SA39528

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 May 2010 16:48:53 +0100

kdenetwork (4:4.4.3-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 May 2010 15:09:21 +0100

kdenetwork (4:4.4.2-0ubuntu4) lucid; urgency=low

  * Actually change the debian/rules file as promised in ubuntu2 (LP: #278408)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 23 Apr 2010 20:12:19 +0200

kdenetwork (4:4.4.2-0ubuntu3) lucid; urgency=low

  * Build with libmsn-dev (>= 4.1), closes LP: #424925

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 14:59:34 +0100

kdenetwork (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Drop kubuntu_01_suid_kpp.diff, startig kppp as root causes it to freeze
  * In debian/rules chown kppp to root:dialout instead of root:dip (LP: #278408)
  * kppp should now be working properly (granted the user is member of dialout)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 18:46:42 +0200

kdenetwork (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Update krdc.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 23:01:52 +0100

kdenetwork (4:4.4.1-0ubuntu2) lucid; urgency=low

  * Remove debian/patches/kubuntu-message-indicator/, message indicator
    now a separate plugin
  * Drop build-depends on libindicate-qt-dev
  * Add Recommends on kopete-message-indicator for kopete

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 12:33:48 +0000

kdenetwork (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Bump build-depend versions
    - Drop kubuntu_02_status_edit_dialog.diff, applied upstream
    - Update kget.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 27 Feb 2010 15:43:46 -0500

kdenetwork (4:4.4.0-0ubuntu2) lucid; urgency=low

  * Add kubuntu_02_status_edit_dialog.diff by Aurelien Gateau, change
    kopete menu text area into a dialogue for dbusmenu compatibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 17:04:41 +0000

kdenetwork (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
   - Bump on Build-Depends

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 04 Feb 2010 22:42:52 +0100

kdenetwork (4:4.3.98-0ubuntu1) lucid; urgency=low

  * New upstream release
   - Bump on build-deps

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 01 Feb 2010 17:48:39 +0100

kdenetwork (4:4.3.95-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release:
    - Bump build-depend versions 

  [ Jonathan Thomas ]
  * Kopete recommends libqt4-sql-sqlite to prevent the statistics plugin from
    not working (LP: #300071)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 17:14:30 +0100

kdenetwork (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update kget.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 19:46:11 -0500

kdenetwork (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Refresh all patches
    - Remove 0005-Added-new-methods-to-Plugin-class.diff, applied upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 19 Dec 2009 08:15:22 -0500

kdenetwork (4:4.3.80-0ubuntu2) lucid; urgency=low

  * Removed libortp-dev from Build-Depends, it's not in main

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 08 Dec 2009 18:06:21 +0100

kdenetwork (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Bump on build-deps
  * Removed libknotificationitem-dev because it's in kdelibs5-dev now

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 01 Dec 2009 21:13:02 +0100

kdenetwork (4:4.3.4-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump build-deps

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 29 Nov 2009 04:39:17 +0100

kdenetwork (4:4.3.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Remove unused build dependency on libiw-dev


=== debian/control ===
Source: kdenetwork
Section: kde
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), quilt, pkg-kde-tools (>= 0.4.2),
 kdelibs5-dev (>= 4:4.4.5), kdepimlibs5-dev (>= 4:4.4.5),
 zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
 libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
 libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
 libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
 libgmp3-dev, libotr2-dev, libboost1.40-dev,
 libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
 libspeex-dev, libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libstreamanalyzer-dev, libgadu-dev,
 libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 shared-desktop-ontologies, libgpgme11-dev,
 libgif-dev, libexpat1-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdenetwork/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdenetwork/ubuntu

Package: kdenetwork
Section: kde
Architecture: all
Depends: kget (>= ${source:Version}),
 kopete (>= ${source:Version}), kppp (>= ${source:Version}),
 krdc (>= ${source:Version}), krfb (>= ${source:Version})
Recommends: kdenetwork-filesharing (>= ${source:Version})
Conflicts: kdenetwork-kde4
Replaces: kdenetwork-kde4
Description: networking applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes networking applications provided with the official
 release of KDE 4.

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, perl-suid
Conflicts: kdenetwork-filesharing-kde4
Replaces: kdenetwork-filesharing-kde4
Description: network filesharing configuration module for KDE 4
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE 4 networking module.

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Conflicts: kget-kde4
Replaces: kget-kde4
Description: download manager for KDE 4
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE 4 networking module.

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libjasper-runtime
Replaces: kopete (<< 4:4.2.85)
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, IRC, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE 4 networking module.

Package: kopete
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
Suggests: kdeartwork-emoticons, khelpcenter
Conflicts: kopete-kde4, kopete-otr
Replaces: kopete-kde4, kopete-otr, kget (<< 4:4.2.0-0ubuntu2)
Description: instant messenger for KDE 4
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, IRC, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE 4 networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4}
Replaces: kdenetwork-dev (<< 4:4.2.2-1ubuntu2)
Conflicts: kdenetwork-dev (<< 4:4.2.2-1ubuntu2)
Description: development files for the KDE 4 networking module
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, IRC, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE 4 networking module.

Package: kppp
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ppp
Suggests: khelpcenter
Conflicts: kppp-kde4
Replaces: kppp-kde4
Description: modem dialer for KDE 4
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Replaces: krdc-kde4, kopete (<< 4:4.2.85)
Conflicts: krdc-kde4
Recommends: rdesktop
Suggests: khelpcenter, krfb
Description: Remote Desktop Connection client for KDE 4
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE 4 networking module.

Package: krfb
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter, krdc
Conflicts: krfb-kde4
Replaces: krfb-kde4
Description: Desktop Sharing for KDE 4
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE 4 networking module.

Package: kdenetwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime-dbg
Recommends: kdebase-workspace-dbg
Suggests: kdenetwork (= ${source:Version})
Conflicts: kdenetwork-dbg-kde4
Replaces: kdenetwork-dbg-kde4
Description: debugging symbols for the KDE 4 networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE 4 networking module.

Package: kde-zeroconf
Section: kde
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kde-zeroconf-kde4
Replaces: kde-zeroconf-kde4
Description: zeroconf plugins and kio slaves for KDE 4
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE 4 networking module.

Package: kopete-plugin-otr-kde4
Architecture: all
Priority: extra
Depends: kopete (>= 4.1)
Description: Transitional package
 This dummy package is provided for a smooth transition to the new kopete-otr,
 which is part of the official Kopete release.
 .
 It may safely be removed after installation.

## kdenetwork 4.5.1

=== debian/changelog ===
kdenetwork (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Add kubuntu_04_googletalk_no_errormsg_and_knh_support.patch to:
    + Not throw silly error messages when googletalk-gcall binary is not 
      installed
    + Send dbus message to kubuntu-notification-helper so it tells the user
      about installing kopete-gcall
      + As a bonus this only happens when the user has a Jabber account
        configured
    + Not show the Google Talk tab in the jabber preferences unless the
      executable exists
    + Fix LP: #629217

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 03 Sep 2010 20:03:54 +0200

kdenetwork (4:4.5.1-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends

  [ Harald Sitter ]
  * Fix name of kubuntu_03_no_mediastramer_in_wlm.diff to
    kubuntu_03_no_mediastreamer_in_wlm.diff (s/stramer/streamer)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 02 Sep 2010 11:11:57 +0200

kdenetwork (4:4.5.0b-0ubuntu5) maverick; urgency=low

  * Add kubuntu_03_no_mediastramer_in_wlm.diff to stop wlm protocl
    linking against libmediastreamer which brings in libavcodecs52 which
    can not be on the CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Aug 2010 11:56:57 +0100

kdenetwork (4:4.5.0b-0ubuntu4) maverick; urgency=low

  * Re-add kopete-gcall.install which has been accidentally dropped in the
    last upload. (LP: #625550)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 Aug 2010 18:04:42 +0200

kdenetwork (4:4.5.0b-0ubuntu3) maverick; urgency=low

  * Add kubuntu_02_kopete-smaller-config-dialog.diff from Aurélien
    Gâteau fix kopete config dialogue for netbooks, LP: #614627

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 21:29:23 +0100

kdenetwork (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * Introduce new kopete-gcall package
    - Make kopete suggest kopete-gcall
    - Add libortp-dev and libmediastreamer-dev to build deps

 -- Rohan Garg <rohangarg@ubuntu.com>  Tue, 10 Aug 2010 18:32:53 +0530

kdenetwork (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:06 +0100

kdenetwork (4:4.5.0b-0ubuntu1~ppa1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:06 +0100

kdenetwork (4:4.5.0-0ubuntu2) maverick; urgency=low

  [ Michał Zając ]
  * Add kubuntu_01_fix_kopete_notifications_away.diff, closes
    https://bugs.kde.org/184113 "No apparent way to disable events
    while status is Busy"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Aug 2010 01:27:49 +0100

kdenetwork (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 30 Jul 2010 13:54:10 +0200

kdenetwork (4:4.4.95-0ubuntu1) UNRELEASED; urgency=low

  * New upstream RC release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 27 Jul 2010 11:55:45 +0200

kdenetwork (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest to 4.4.92
    - Modify kget.install

 -- Rohan Garg <rohangarg@ubuntu.com>  Sat, 10 Jul 2010 07:50:38 +0530

kdenetwork (4:4.4.90-0ubuntu2) maverick; urgency=low

  * Revert google talk addition, libmediastreamer depends on avcodec
    which can't go on the CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Jun 2010 10:01:39 +0100

kdenetwork (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest to 4.4.90

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 25 Jun 2010 04:59:46 +0200

kdenetwork (4:4.4.85-0ubuntu2) maverick; urgency=low

  [ Jonathan Riddell ]
  * Add libtelepathy-qt4-dev build-depend

  [ Rohan Garg ]
  * Add usr/bin/googletalk-call to kopete.install
  * Add libortp-dev and libmediastreamer-dev to build deps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jun 2010 14:47:59 +0100

kdenetwork (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-latest-dev build-depend version to 4.4.85
    - Remove README.source no longer need

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 14:44:17 +0200

kdenetwork (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Drop debian/patches, applied upstream
    - Bump kde-sc-latest-dev build-depend version to 4.4.80
    - Update various .install files
  * Switch to source format 3.0 (quilt)
    - Bump debhelper build-depend version to 7.3.16
    - Remove obsolete README.source

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 26 May 2010 10:19:24 -0400

kdenetwork (4:4.4.3-2ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - debian/control:
      - Build against libboost1.42-dev
      - Don't build against (Universe):
        - libkwebkit-dev
        - libortp-dev
        - libmediastreamer-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - libkopete4 suggests libjasper-runtime
      - kopete recommends kopete-message-indicator
    - debian/libkopete-dev.install
      - Add usr/lib/libkopete_videodevice.so
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 07:32:30 +0200

kdenetwork (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 May 2010 15:09:21 +0100

kdenetwork (2:980328-1) frozen; urgency=low

  * new upstream version with bug fixes

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Mar 1998 21:33:55 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_FIXPERMS_EXCLUDE := usr/bin/kppp

#DEB_DH_MAKESHLIBS_ARGS_libkopete4 := -V'libkopete4 (>= 4:4.1.86)'
DEB_DH_MAKESHLIBS_ARGS_libkopete4 := -V

binary-install/kppp::
	chown root:dialout debian/kppp/usr/bin/kppp
	chmod 4754 debian/kppp/usr/bin/kppp

## kdenetwork 4.5.5

=== debian/changelog ===
kdenetwork (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)
  * Cherrypick debian/patches/kubuntu_05_kget_metalinker.diff from KDE svn

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 02:25:25 -0400

kdenetwork (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 13:25:18 -0700

kdenetwork (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 13:54:06 +0000

kdenetwork (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 19:04:01 +0000

kdenetwork (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:08:03 +0000

kdenetwork (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:07:40 +0000

=== debian/control ===
Source: kdenetwork
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
 libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
 libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
 libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
 libgmp3-dev, libotr2-dev, libboost1.42-dev,
 libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
 libspeex-dev, libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libstreamanalyzer-dev, libgadu-dev,
 libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 shared-desktop-ontologies, kdepimlibs5-dev, libgpgme11-dev, libexpat1-dev, libgif-dev,
 libtelepathy-qt4-dev, libmediastreamer-dev, libortp-dev (>= 3.3.2-2ubuntu1)
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdenetwork/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdenetwork/ubuntu

Package: kdenetwork
Section: kde
Architecture: all
Depends: ${misc:Depends}, kget (>= ${source:Version}),
 kopete (>= ${source:Version}), kppp (>= ${source:Version}),
 krdc (>= ${source:Version}), krfb (>= ${source:Version})
Recommends: kdenetwork-filesharing (>= ${source:Version})
Description: networking applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes networking applications provided with the official
 release of KDE 4.

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl-suid
Description: network filesharing configuration module for KDE 4
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE 4 networking module.

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager for KDE 4
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE 4 networking module.

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libjasper-runtime
Replaces: kopete (<< 4:4.2.85)
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, IRC, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE 4 networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base, kopete-gcall
Description: instant messenger for KDE 4
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, IRC, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE 4 networking module.

Package: kopete-gcall
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google Talk voice support for Kopete
 This package adds Google Talk voice support functionality to Kopete.
 .
 This package is part of the KDE 4 networking module.


Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Replaces: kdenetwork-dev (<< 4:4.2.2-1ubuntu2)
Conflicts: kdenetwork-dev (<< 4:4.2.2-1ubuntu2)
Description: development files for the KDE 4 networking module
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, IRC, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE 4 networking module.

Package: kppp
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE 4
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kopete (<< 4:4.2.85)
Recommends: rdesktop
Suggests: khelpcenter4, krfb
Description: Remote Desktop Connection client for KDE 4
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE 4 networking module.

Package: krfb
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, krdc
Description: Desktop Sharing for KDE 4
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE 4 networking module.

Package: kdenetwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Recommends: kdebase-workspace-dbg
Suggests: kdenetwork (= ${source:Version})
Description: debugging symbols for the KDE 4 networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE 4 networking module.

Package: kde-zeroconf
Section: kde
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zeroconf plugins and kio slaves for KDE 4
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE 4 networking module.

## kdenetwork 4.5.5-0ubuntu2+4.5trisquel2

=== kopete/protocols/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 option(WITH_bonjour "Enable Kopete Bonjour protocol" ON)
 option(WITH_irc "Enable Kopete IRC protocol" OFF)
 option(WITH_wlm "Enable Window Live Messenger support" ON)
+option(WITH_WLM_MEDIASTREAMER "Enable Windows Live Messenger voice clip support" ON)
 option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
 option(WITH_skype "Enable Kopete Skype protocol" OFF)
 
@@ -22,7 +23,7 @@
   message(STATUS "Building jingle support")
   set(BUILD_JINGLE TRUE)
 else(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
-  message(STATUS "Not building jingle support (recommanded)")
+  message(STATUS "Not building jingle support (recommended)")
   set(BUILD_JINGLE FALSE)
 endif(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
 
@@ -39,6 +40,14 @@
   message(STATUS "Not building Google Talk libjingle support")
   set(BUILD_GOOGLETALK FALSE)
 endif(SSL_FOUND OR WIN32)
+
+if(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
+  message(STATUS "Building Windows Live Messenger voice clip support")
+  set(BUILD_WLM_MEDIASTREAMER TRUE)
+else(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
+  message(STATUS "Not building Windows Live Messenger voice clip support")
+  set(BUILD_WLM_MEDIASTREAMER FALSE)
+endif(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
 
 include_directories(${KOPETE_INCLUDES})

=== debian/changelog ===
kdenetwork (4:4.5.5-0ubuntu2+4.5trisquel2) slaine; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Aug 2011 18:01:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kdenetwork
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),

## kdenetwork 4.6.2

=== debian/changelog ===
kdenetwork (4:4.6.2-0ubuntu3) natty; urgency=low

  * Add kubuntu_08_kget_metalinker.diff, recommended on kde-packagers

 -- Romain Perier <romain.perier@gmail.com>  Sun, 10 Apr 2011 12:04:04 +0200

kdenetwork (4:4.6.2-0ubuntu2) natty; urgency=low

  * Remove build-depends on libortp-dev, libmediastreamer-dev, srtp
    doesn't pass MIR and linphone no longer compiles
  * Disable kubuntu_03_no_mediastreamer_in_wlm.diff and
    kubuntu_04_googletalk_no_errormsg_and_knh_support.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 15:20:58 +0100

kdenetwork (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * Remove kubuntu_06_kopete_no_v4l1.diff now implemented better upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 15:24:06 +0000

kdenetwork (4:4.6.1a-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add kubuntu_07_kopete_libjasper_optional.diff from
    http://reviewboard.kde.org/r/6562/ to make jasper optional

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Mar 2011 17:05:24 +0000

kdenetwork (4:4.6.0-0ubuntu4) natty; urgency=low

  * Update kubuntu_05_samba_sharing.diff to match master

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 14:26:58 +0000

kdenetwork (4:4.6.0-0ubuntu3) natty; urgency=low

  * Add kubuntu_06_kopete_no_v4l1.diff from Fedora to remove Video 4 Linux 1
    support while retaining v4l 2 support
  * Remove DEB_CMAKE_EXTRA_FLAGS += -DDISABLE_VIDEOSUPPORT=1 from debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Feb 2011 18:47:33 +0000

kdenetwork (4:4.6.0-0ubuntu2) natty; urgency=low

  * Add kubuntu_05_samba_sharing.diff by Rodrigo Belem to add Samba
    sharing UI to file properties dialogue
  * Up kdelibs build-dep to version with Samba patch
  * Add -DDISABLE_VIDEOSUPPORT=1 in debian/rules, V4L now deprecated so
    Kopete video support can not be compiled
  * Remove libtelepathy-qt4-dev from build-depends, unused

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Feb 2011 11:13:16 +0000

kdenetwork (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jan 2011 16:28:50 +0000

kdenetwork (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Jan 2011 09:43:40 +0000

kdenetwork (4:4.5.85a-0ubuntu2) natty; urgency=low

  * Ensure int return values in kopete/protocols/jabber/googletalk/libjingle/
    talk/base/physicalsocketserver.cc to fix FTBFS on powerpc
    - Thanks to Haral Sitter for the patch
    - Committed upstream in kdesvn revision 1206454

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Dec 2010 08:12:33 -0500

kdenetwork (4:4.5.85a-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Add upstream svn r1203717 as kubuntu_07_krdc_vnc_detection.diff
    so krdc vnc components get built.
  * Add libkonq5-dev and kdebase-workspace-dev to build depends

 -- Philip Muskovac <yofel@gmx.net>  Mon, 06 Dec 2010 23:41:14 +0100

kdenetwork (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Remove kubuntu_02_kopete-smaller-config-dialog.diff now upstream
  * Remove kubuntu_05_kopete_compile.diff now upstream
  * Remove kubuntu_05_fix_icq.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 11:56:25 +0000

kdenetwork (4:4.5.3-0ubuntu2) natty; urgency=low

  * Add kubuntu_05_fix_icq.diff transiting from old login.oscar.aol.com to new
    login server login.icq.com (LP: #676663)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 17 Nov 2010 21:56:16 +0100

kdenetwork (4:4.5.3-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Add kubuntu_05_kopete_compile.diff to add missing header

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Nov 2010 17:06:44 +0000

kdenetwork (4:4.5.2-0ubuntu1) natty; urgency=low

  * Merge with Debian git remaining changes:
    - debian/control:
      - Build against libboost1.42-dev
      - Don't build against libkwebkit-dev (Universe):
      - Build against libexpat1-dev instead of libexpat-dev
      - libkopete4 suggests libjasper-runtime instead of recommends
      - kopete recommends kopete-message-indicator
      - kopete suggests kopete-gcall
      - kdenetworks metapackage depends on kpp
      - kdenetwork-filesharing depends on perl-suid
      - Add kopete-gcall package
    - debian/libkopete-dev.install
      - Add usr/lib/libkopete_videodevice.so
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/not-installed: don't add usr/lib/libkopete_videodevice.so
    - debian/krdc.install: don't add
      usr/share/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_approver.service
      usr/share/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_handler.service
    - debian/kopete.install: don't add usr/bin/googletalk-call
    - Keep our patches
    - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

  [ Jonathan Riddell ]
  * New upstream release
  * Update kubuntu_03_no_mediastreamer_in_wlm.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 18 Oct 2010 02:33:49 +0200

kdenetwork (4:4.5.1-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Update installed files.
  * Remove all patches; applied upstream.
  * Bump build dependencies on kdelibs5-dev and
    kdepimlibs5-dev to version 4:4.5.
  * Update libkopete symbols file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 01 Sep 2010 18:14:10 +0300

=== debian/control ===
Source: kdenetwork
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.6.0-0ubuntu3), kdepimlibs5-dev (>= 4:4.5),
 zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
 libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
 libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
 libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
 libgmp3-dev, libotr2-dev, libboost1.42-dev,
 libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
 libspeex-dev, libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libstreamanalyzer-dev, libgadu-dev,
 libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 shared-desktop-ontologies, libgpgme11-dev, libexpat1-dev, libgif-dev,
 libktorrent-dev, libkonq5-dev, kdebase-workspace-dev
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdenetwork/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdenetwork/ubuntu

Package: kdenetwork
Architecture: all
Depends: ${misc:Depends}, kget (>= ${source:Version}),
 kopete (>= ${source:Version}), kppp (>= ${source:Version}),
 krdc (>= ${source:Version}), krfb (>= ${source:Version})
Recommends: kdenetwork-filesharing (>= ${source:Version})
Description: networking applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes networking applications provided with the official
 release of KDE.

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libjasper-runtime
Replaces: kopete (<< 4:4.2.85)
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Replaces: kdenetwork-dev (<< 4:4.2.2-1ubuntu2)
Conflicts: kdenetwork-dev (<< 4:4.2.2-1ubuntu2)
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kppp
Section: net
Architecture: armel powerpcspe lpia i386 ia64 alpha amd64 armeb arm avr32 hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kopete (<< 4:4.2.85)
Recommends: rdesktop
Suggests: khelpcenter4, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

Package: krfb
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Recommends: kdebase-workspace-dbg
Suggests: kdenetwork (= ${source:Version})
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

Package: kde-zeroconf
Section: kde
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zeroconf plugins and kio slaves for KDE
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE networking module.
